/**
 * @license Copyright (c) 2003-2013, CKSource - Frederico Knabben. All rights reserved.
 * For licensing, see LICENSE.html or http://ckeditor.com/license
 */

CKEDITOR.editorConfig = function( config ) {
	config.toolbarGroups = [
		{ name: ['all'], groups: ['all'], items: [
'Source', '-', 'SelectAll', 'Cut', 'Copy', 'Paste', 'PasteText', 'PasteFromWord', 'Undo', 'Redo', 'Find', 'Replace', 'Image', 'Link', 'Unlink', 'Anchor', 'Table', 'HorizontalRule', 'SpecialChar', 'Iframe', 'button1', 'button2', 'button3', 'MediaEmbed', 'oembed', 'Font', 'FontSize', 'Bold', 'Italic', 'Underline', 'Strike', 'Subscript', 'Superscript', 'TextColor', 'BGColor', 'RemoveFormat', 'NumberedList', 'BulletedList', 'Outdent', 'Indent', 'CreateDiv', 'JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock', 'Maximize', 'ShowBlocks', 'About' ]}
	];

	//config.autoGrow_onStartup = true;
	config.startupOutlineBlocks = true;
	config.toolbarCanCollapse = true;
	//config.fullPage = true;
	config.undoStackSize = 50;

	config.protectedSource.push( /<\?[\s\S]*?\?>/g );                                           // PHP code
	config.protectedSource.push( /<%[\s\S]*?%>/g );                                             // ASP code
	config.protectedSource.push( /(<asp:[^\>]+>[\s|\S]*?<\/asp:[^\>]+>)|(<asp:[^\>]+\/>)/gi );  // ASP.Net code

	config.pasteFromWordPromptCleanup = true;

	config.pasteFromWordNumberedHeadingToList = true;
	CKEDITOR.config.magicline_putEverywhere = true;
	config.image_removeLinkByEmptyURL = false;
	config.pasteFromWordPromptCleanup = true;

	//config.enterMode = CKEDITOR.ENTER_P;
	//config.enterMode = CKEDITOR.ENTER_DIV;
	config.enterMode = CKEDITOR.ENTER_BR;

	config.shiftEnterMode = CKEDITOR.ENTER_P;

};
